Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
dl_handle Struct Reference

`#include <dl.h>`

## Data Fields
void * | ptr
int | open
int | enable_close

## Detailed Description

Definition at line 181 of file dl.h.

## Field Documentation

int dl_handle::enable_close

Definition at line 184 of file dl.h.

Referenced by dlhandle_free(), fiddle_handle_free(), rb_dlhandle_close_enabled_p(), rb_dlhandle_disable_close(), rb_dlhandle_enable_close(), rb_dlhandle_initialize(), rb_dlhandle_s_allocate(), rb_fiddle_handle_close_enabled_p(), rb_fiddle_handle_disable_close(), rb_fiddle_handle_enable_close(), rb_fiddle_handle_initialize(), and rb_fiddle_handle_s_allocate().

int dl_handle::open

Definition at line 183 of file dl.h.

Referenced by dlhandle_free(), fiddle_handle_free(), predefined_dlhandle(), predefined_fiddle_handle(), rb_dlhandle_close(), rb_dlhandle_initialize(), rb_dlhandle_s_allocate(), rb_dlhandle_sym(), rb_fiddle_handle_close(), rb_fiddle_handle_initialize(), rb_fiddle_handle_s_allocate(), and rb_fiddle_handle_sym().

void * dl_handle::ptr

Definition at line 182 of file dl.h.

Referenced by dlhandle_free(), fiddle_handle_free(), predefined_dlhandle(), predefined_fiddle_handle(), rb_dlhandle_close(), rb_dlhandle_initialize(), rb_dlhandle_s_allocate(), rb_dlhandle_sym(), rb_fiddle_handle_close(), rb_fiddle_handle_initialize(), rb_fiddle_handle_s_allocate(), and rb_fiddle_handle_sym().

The documentation for this struct was generated from the following files:

- ext/dl/dl.h
- ext/fiddle/handle.c